import { FormElementManager, FormElementParam, FormRenderOptions, FormElementFactory } from '../wces-form-builder.js';
export declare class InputFormElementManager implements FormElementManager<InputFormOptions, string> {
    param: FormElementParam<InputFormOptions>;
    get name(): string;
    constructor(param: FormElementParam<InputFormOptions>);
    render(value: string, options: FormRenderOptions<string>): import("lit-html").TemplateResult;
    onChange(e: {
        target: HTMLInputElement;
    }, options: FormRenderOptions<string>): void;
}
export declare class InputFormElementFactory implements FormElementFactory<InputFormOptions, string> {
    create(param: FormElementParam<InputFormOptions>): InputFormElementManager;
}
export interface InputFormOptions {
    placeholder?: string;
    minlength?: number;
    maxlength?: number;
}
