import { WcesFormBuilder } from '../WcesFormBuilder.js';
import { SelectFieldElementFactory } from './select-field.js';
import { TextFieldElementFactory } from './text-field.js';
export * from './select-field.js';
export * from './text-field.js';
export class WcesMaterialForm extends WcesFormBuilder {
    constructor() {
        super(...arguments);
        this.catalog = new Map([
            ['text', new TextFieldElementFactory()],
            ['select', new SelectFieldElementFactory()],
        ]);
    }
}
//# sourceMappingURL=WcesMaterialForm.js.map