import { __decorate } from "tslib";
import { customElement } from 'lit-element';
import { WcesFormBuilder } from '../wces-form-builder.js';
import { InputFormElementFactory } from './input-form-element-manager.js';
let NativeFormBuilder = class NativeFormBuilder extends WcesFormBuilder {
    constructor() {
        super(...arguments);
        this.catalog = new Map([
            ['text', new InputFormElementFactory()],
        ]);
    }
};
NativeFormBuilder = __decorate([
    customElement('native-form-builder')
], NativeFormBuilder);
export { NativeFormBuilder };
//# sourceMappingURL=native-form-builder.js.map